package com.muyu.common.core.enums;

import java.util.Arrays;

public enum SystemYesNo {
    YES("Y","是"),
    NO("N","是"),
;
    private  final  String code;
    private final  String info;

    SystemYesNo(String code, String info) {
        this.code = code;
        this.info = info;
    }


    public String getCode(){
        return code;
    }
    public String getInfo(){
        return info;
    }

    /**
     * 鉴权code是否违反
     * @param code 传code
     * @return 如果存入code则返回true，不存在则返回false
     */
    public static  boolean isCode(String code){
     return    Arrays.stream(values())
                .map(SystemYesNo::getCode).
                anyMatch(s->s.equals(code));
    }
}
